probe::signal.send
Prev | Chapter 17. Signal Tapset | Next

## Name

probe::signal.send — Signal being sent to a process

## Synopsis

    signal.send

## Values

`pid_name`

  The name of the signal recipient

`sig_pid`

  The PID of the process receiving the signal

`sig`

  The number of the signal

`task`

  A task handle to the signal recipient

`send2queue`

  Indicates whether the signal is sent to an existing sigqueue (deprecated in SystemTap 2.1)

`name`

  The name of the function used to send out the signal

`sinfo`

  The address of siginfo struct

`shared`

  Indicates whether the signal is shared by the thread group

`sig_name`

  A string representation of the signal

`si_code`

  Indicates the signal type

## Context

The signal's sender.

Prev | Up | Next
probe::signal.procmask.return | Home | probe::signal.send.return